Debian Bug report logs - #556761
FTBFS with binutils-gold

version graph

Package: src:vmware-view-open-client; Maintainer for src:vmware-view-open-client is Debian QA Group <packages@qa.debian.org>;

Reported by: Peter Fritzsche <peter.fritzsche@gmx.de>

Date: Tue, 17 Nov 2009 18:57:05 UTC

Severity: minor

Tags: patch, upstream

Found in versions vmware-view-open-client/4.0.1-235010+dfsg-1, vmware-view-open-client/4.0.0-196715+dfsg-1

Fixed in version vmware-view-open-client/4.5.0-297975+dfsg-2

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://code.google.com/p/vmware-view-open-client/issues/detail?id=84

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Debian VMware Maintainers <vmware@lists.debian-maintainers.org>:
Bug#556761; Package src:vmware-view-open-client. (Tue, 17 Nov 2009 18:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Fritzsche <peter.fritzsche@gmx.de>:
New Bug report received and forwarded. Copy sent to Debian VMware Maintainers <vmware@lists.debian-maintainers.org>. (Tue, 17 Nov 2009 18:57:07 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Peter Fritzsche <peter.fritzsche@gmx.de>
To: maintonly@bugs.debian.org
Subject: FTBFS with binutils-gold
Date: Tue, 17 Nov 2009 19:21:51 +0100
Source: vmware-view-open-client
Version: 4.0.0-196715+dfsg-1
Severity: minor
User: peter.fritzsche@gmx.de
Usertags: no-add-needed

Tried to build your package and it fails to build with GNU binutils-gold. The
important difference is that --no-add-needed is the default behavior of of GNU
binutils-gold. Please provide all needed libraries to the linker when building
your executables.

More informations can be found at
 http://wiki.debian.org/qa.debian.org/FTBFS#A2009-11-02Packagesfailingbecausebinutils-gold.2BAC8-indirectlinking

g++  -g -O2   -o vmware-view vmware_view-baseApp.o vmware_view-baseXml.o vmware_view-broker.o vmware_view-brokerXml.o vmware_view-desktop.o vmware_view-procHelper.o vmware_view-protocols.o vmware_view-restartMonitor.o vmware_view-stubs.o vmware_view-tunnel.o vmware_view-usb.o vmware_view-util.o  gtk/vmware_view-app.o gtk/vmware_view-brokerDlg.o gtk/vmware_view-cryptoki.o gtk/vmware_view-desktopDlg.o gtk/vmware_view-desktopSelectDlg.o gtk/vmware_view-disclaimerDlg.o gtk/vmware_view-dlg.o gtk/vmware_view-helpSupportDlg.o gtk/vmware_view-loginDlg.o gtk/vmware_view-main.o gtk/vmware_view-passwordDlg.o gtk/vmware_view-prefs.o gtk/vmware_view-rdesktop.o gtk/vmware_view-rmks.o gtk/vmware_view-scCertDetailsDlg.o gtk/vmware_view-scCertDlg.o gtk/vmware_view-scInsertPromptDlg.o gtk/vmware_view-scPinDlg.o gtk/vmware_view-securIDDlg.o gtk/vmware_view-transitionDlg.o gtk/vmware_view-window.o gtk/vmware_view-windowSizeDlg.o  libFile.a libPanicDefault.a libPanic.a libString.a libStubs.a libLog.a libUser.a libBasicHttp.a libNothread.a libPoll.a libPollDefault.a libPollGtk.a libGtm.a  libProductState.a libSig.a libSsl.a libDict.a libMisc.a libErr.a libUnicode.a libProxy.a  -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lgio-2.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lglib-2.0   -lxml2   -lcurl   -lssl -lcrypto   -L/usr/lib -lboost_signals-mt -licuuc -licudata  
/usr/bin/ld: gtk/vmware_view-desktopDlg.o: in function cdk::DesktopDlg::SendCADXMessage():gtk/desktopDlg.cc:817: error: undefined reference to 'XInternAtom'
/usr/bin/ld: gtk/vmware_view-desktopDlg.o: in function cdk::DesktopDlg::SendCADXMessage():gtk/desktopDlg.cc:821: error: undefined reference to 'XSendEvent'
/usr/bin/ld: gtk/vmware_view-desktopDlg.o: in function cdk::DesktopDlg::SendKeyEvent(int, unsigned int):gtk/desktopDlg.cc:381: error: undefined reference to 'XSendEvent'
/usr/bin/ld: gtk/vmware_view-desktopDlg.o: in function cdk::DesktopDlg::PromptCtrlAltDelHandler(void*, _GdkEvent*, void*):gtk/desktopDlg.cc:865: error: undefined reference to 'XInternAtom'
/usr/bin/ld: gtk/vmware_view-window.o: in function cdk::Window::FullscreenWindow(_GtkWindow*, cdk::Window::MonitorBounds*):gtk/window.cc:2059: error: undefined reference to 'XGrabServer'
/usr/bin/ld: gtk/vmware_view-window.o: in function cdk::Window::FullscreenWindow(_GtkWindow*, cdk::Window::MonitorBounds*):gtk/window.cc:2067: error: undefined reference to 'XInternAtom'
/usr/bin/ld: gtk/vmware_view-window.o: in function cdk::Window::FullscreenWindow(_GtkWindow*, cdk::Window::MonitorBounds*):gtk/window.cc:2081: error: undefined reference to 'XSendEvent'
/usr/bin/ld: gtk/vmware_view-window.o: in function cdk::Window::FullscreenWindow(_GtkWindow*, cdk::Window::MonitorBounds*):gtk/window.cc:2083: error: undefined reference to 'XUngrabServer'
/usr/bin/ld: gtk/vmware_view-window.o: in function cdk::Window::FullscreenWindow(_GtkWindow*, cdk::Window::MonitorBounds*):gtk/window.cc:2089: error: undefined reference to 'XGetErrorText'
collect2: ld returned 1 exit status
make[3]: *** [vmware-view] Error 1




Bug Marked as found in versions vmware-view-open-client/4.0.1-235010+dfsg-1. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Thu, 25 Feb 2010 07:06:04 GMT) Full text and rfc822 format available.

Added tag(s) upstream. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Sat, 24 Apr 2010 09:45:05 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'http://code.google.com/p/vmware-view-open-client/issues/detail?id=84'. Request was from Stefano Rivera <stefano@rivera.za.net> to control@bugs.debian.org. (Sun, 24 Oct 2010 19:09:04 GMT) Full text and rfc822 format available.

Added tag(s) patch. Request was from Stefano Rivera <stefano@rivera.za.net> to control@bugs.debian.org. (Sun, 24 Oct 2010 19:09:05 GMT) Full text and rfc822 format available.

Information forwarded to Debian VMware Maintainers <vmware@lists.debian-maintainers.org>:
Bug#556761; Package src:vmware-view-open-client. (Sun, 24 Oct 2010 19:09:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Rivera <stefano@rivera.za.net>:
Extra info received and forwarded to maintainer. Copy sent to Debian VMware Maintainers <vmware@lists.debian-maintainers.org>. (Sun, 24 Oct 2010 19:09:07 GMT) Full text and rfc822 format available.

Message #18 received at 556761-maintonly@bugs.debian.org (full text, mbox):

From: Stefano Rivera <stefano@rivera.za.net>
To: 556761-maintonly@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#556761: src:vmware-view-open-client: FTBFS with binutils-gold
Date: Sun, 24 Oct 2010 21:07:34 +0200
[Message part 1 (text/plain, inline)]
forwarded 556761 http://code.google.com/p/vmware-view-open-client/issues/detail?id=84
tags 556761 +patch
thanks

Here's the patch we applied to address this in Ubuntu

SR

-- 
Stefano Rivera
  http://tumbleweed.org.za/
  H: +27 21 465 6908 C: +27 72 419 8559  UCT: x3127
[binutils-gold-x11.patch (text/x-diff, attachment)]

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Sat, 20 Nov 2010 16:21:03 GMT) Full text and rfc822 format available.

Notification sent to Peter Fritzsche <peter.fritzsche@gmx.de>:
Bug acknowledged by developer. (Sat, 20 Nov 2010 16:21:03 GMT) Full text and rfc822 format available.

Message #23 received at 556761-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 556761-close@bugs.debian.org
Subject: Bug#556761: fixed in vmware-view-open-client 4.5.0-297975+dfsg-2
Date: Sat, 20 Nov 2010 16:17:30 +0000
Source: vmware-view-open-client
Source-Version: 4.5.0-297975+dfsg-2

We believe that the bug you reported is fixed in the latest version of
vmware-view-open-client, which is due to be installed in the Debian FTP archive:

vmware-view-open-client_4.5.0-297975+dfsg-2.debian.tar.gz
  to contrib/v/vmware-view-open-client/vmware-view-open-client_4.5.0-297975+dfsg-2.debian.tar.gz
vmware-view-open-client_4.5.0-297975+dfsg-2.dsc
  to contrib/v/vmware-view-open-client/vmware-view-open-client_4.5.0-297975+dfsg-2.dsc
vmware-view-open-client_4.5.0-297975+dfsg-2_i386.deb
  to contrib/v/vmware-view-open-client/vmware-view-open-client_4.5.0-297975+dfsg-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 556761@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated vmware-view-open-client package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 20 Nov 2010 16:57:23 +0100
Source: vmware-view-open-client
Binary: vmware-view-open-client
Architecture: source i386
Version: 4.5.0-297975+dfsg-2
Distribution: experimental
Urgency: low
Maintainer: Debian VMware Maintainers <vmware@lists.debian-maintainers.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 vmware-view-open-client - VMware View Open Client
Closes: 556761
Changes: 
 vmware-view-open-client (4.5.0-297975+dfsg-2) experimental; urgency=low
 .
   * Adding patch from Stefano Rivera <stefano@rivera.za.net> to fix
     FTBFS with binutils-gold (Closes: #556761).
   * Updating to debhelper version 8.
   * Switching to source format 3.0 (quilt).
   * Rediffing doc-pdf.patch
Checksums-Sha1: 
 f5104f823f7ddaff1913d0a77fb116f965b46c49 1614 vmware-view-open-client_4.5.0-297975+dfsg-2.dsc
 cfa65db51836b109f9ef8c21036deef4681d4ae3 11170 vmware-view-open-client_4.5.0-297975+dfsg-2.debian.tar.gz
 23269feb9b053b4c211e45fc76e82903e6a03d70 503062 vmware-view-open-client_4.5.0-297975+dfsg-2_i386.deb
Checksums-Sha256: 
 caa5316c771e3225fdd232acb8375525d17ea054e0d1a5fe0163fd260e7d7a3d 1614 vmware-view-open-client_4.5.0-297975+dfsg-2.dsc
 422169d166d1e95933667435edd75a2329d3c0ed147a0529912b1bb4b17b7a5f 11170 vmware-view-open-client_4.5.0-297975+dfsg-2.debian.tar.gz
 03d8cf5d40b8d6bbc8b8238b9dd6464f540c5133f76b62d987c99ed11e519173 503062 vmware-view-open-client_4.5.0-297975+dfsg-2_i386.deb
Files: 
 c007b9ab265b6931836daa9cedc07429 1614 contrib/x11 optional vmware-view-open-client_4.5.0-297975+dfsg-2.dsc
 28d13bb655a6b01715de532a0a612899 11170 contrib/x11 optional vmware-view-open-client_4.5.0-297975+dfsg-2.debian.tar.gz
 be2061c656f65c104c67e979fd4149e5 503062 contrib/x11 optional vmware-view-open-client_4.5.0-297975+dfsg-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkzn8mwACgkQ+C5cwEsrK55CsQCaA+4WdeRAbysWPoB2LcKN2+eX
AqoAoJO6fxjyiyUhKcQmM020tgWgKtZV
=KGnM
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Mar 2011 09:28:32 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 00:45:23 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.